import { resetComponent as t, genFocusStyle as n } from "../../style/index.mjs";
import { initFadeMotion as l } from "../../style/motion/fade.mjs";
import { initZoomMotion as c } from "../../style/motion/zoom.mjs";
import "../../../../@ant-design/cssinjs/es/extractStyle.mjs";
import "../../../../@ant-design/cssinjs/es/hooks/useCacheToken.mjs";
import "react";
import "../../../../@ant-design/cssinjs/es/StyleContext.mjs";
import { unit as i } from "../../../../@ant-design/cssinjs/es/util/index.mjs";
import "../../../../@ant-design/cssinjs/es/hooks/useCompatibleInsertionEffect.mjs";
import "../../../../@ant-design/cssinjs/es/hooks/useEffectCleanupRegister.mjs";
import "../../../../@ant-design/cssinjs/es/hooks/useHMR.mjs";
import "../../../../rc-util/es/warning.mjs";
import "../../../../@ant-design/cssinjs/es/theme/createTheme.mjs";
import "../../../../@ant-design/cssinjs/es/theme/ThemeCache.mjs";
import "../../../../@ant-design/cssinjs/es/transformers/legacyLogicalProperties.mjs";
import { genStyleHooks as g } from "../../theme/util/genComponentStyleHook.mjs";
import { merge as m } from "../../theme/util/statistic.mjs";
function a(r) {
  return {
    position: r,
    inset: 0
  };
}
const p = (r) => {
  const {
    componentCls: o,
    antCls: e
  } = r;
  return [{
    [`${o}-root`]: {
      [`${o}${e}-zoom-enter, ${o}${e}-zoom-appear`]: {
        // reset scale avoid mousePosition bug
        transform: "none",
        opacity: 0,
        animationDuration: r.motionDurationSlow,
        // https://github.com/ant-design/ant-design/issues/11777
        userSelect: "none"
      },
      // https://github.com/ant-design/ant-design/issues/37329
      // https://github.com/ant-design/ant-design/issues/40272
      [`${o}${e}-zoom-leave ${o}-content`]: {
        pointerEvents: "none"
      },
      [`${o}-mask`]: Object.assign(Object.assign({}, a("fixed")), {
        zIndex: r.zIndexPopupBase,
        height: "100%",
        backgroundColor: r.colorBgMask,
        pointerEvents: "none",
        [`${o}-hidden`]: {
          display: "none"
        }
      }),
      [`${o}-wrap`]: Object.assign(Object.assign({}, a("fixed")), {
        zIndex: r.zIndexPopupBase,
        overflow: "auto",
        outline: 0,
        WebkitOverflowScrolling: "touch"
      })
    }
  }, {
    [`${o}-root`]: l(r)
  }];
}, s = (r) => {
  const {
    componentCls: o
  } = r;
  return [
    // ======================== Root =========================
    {
      [`${o}-root`]: {
        [`${o}-wrap-rtl`]: {
          direction: "rtl"
        },
        [`${o}-centered`]: {
          textAlign: "center",
          "&::before": {
            display: "inline-block",
            width: 0,
            height: "100%",
            verticalAlign: "middle",
            content: '""'
          },
          [o]: {
            top: 0,
            display: "inline-block",
            paddingBottom: 0,
            textAlign: "start",
            verticalAlign: "middle"
          }
        },
        [`@media (max-width: ${r.screenSMMax}px)`]: {
          [o]: {
            maxWidth: "calc(100vw - 16px)",
            margin: `${i(r.marginXS)} auto`
          },
          [`${o}-centered`]: {
            [o]: {
              flex: 1
            }
          }
        }
      }
    },
    // ======================== Modal ========================
    {
      [o]: Object.assign(Object.assign({}, t(r)), {
        pointerEvents: "none",
        position: "relative",
        top: 100,
        width: "auto",
        maxWidth: `calc(100vw - ${i(r.calc(r.margin).mul(2).equal())})`,
        margin: "0 auto",
        paddingBottom: r.paddingLG,
        [`${o}-title`]: {
          margin: 0,
          color: r.titleColor,
          fontWeight: r.fontWeightStrong,
          fontSize: r.titleFontSize,
          lineHeight: r.titleLineHeight,
          wordWrap: "break-word"
        },
        [`${o}-content`]: {
          position: "relative",
          backgroundColor: r.contentBg,
          backgroundClip: "padding-box",
          border: 0,
          borderRadius: r.borderRadiusLG,
          boxShadow: r.boxShadow,
          pointerEvents: "auto",
          padding: r.contentPadding
        },
        [`${o}-close`]: Object.assign({
          position: "absolute",
          top: r.calc(r.modalHeaderHeight).sub(r.modalCloseBtnSize).div(2).equal(),
          insetInlineEnd: r.calc(r.modalHeaderHeight).sub(r.modalCloseBtnSize).div(2).equal(),
          zIndex: r.calc(r.zIndexPopupBase).add(10).equal(),
          padding: 0,
          color: r.modalCloseIconColor,
          fontWeight: r.fontWeightStrong,
          lineHeight: 1,
          textDecoration: "none",
          background: "transparent",
          borderRadius: r.borderRadiusSM,
          width: r.modalCloseBtnSize,
          height: r.modalCloseBtnSize,
          border: 0,
          outline: 0,
          cursor: "pointer",
          transition: `color ${r.motionDurationMid}, background-color ${r.motionDurationMid}`,
          "&-x": {
            display: "flex",
            fontSize: r.fontSizeLG,
            fontStyle: "normal",
            lineHeight: `${i(r.modalCloseBtnSize)}`,
            justifyContent: "center",
            textTransform: "none",
            textRendering: "auto"
          },
          "&:hover": {
            color: r.modalIconHoverColor,
            backgroundColor: r.closeBtnHoverBg,
            textDecoration: "none"
          },
          "&:active": {
            backgroundColor: r.closeBtnActiveBg
          }
        }, n(r)),
        [`${o}-header`]: {
          color: r.colorText,
          background: r.headerBg,
          borderRadius: `${i(r.borderRadiusLG)} ${i(r.borderRadiusLG)} 0 0`,
          marginBottom: r.headerMarginBottom,
          padding: r.headerPadding,
          borderBottom: r.headerBorderBottom
        },
        [`${o}-body`]: {
          fontSize: r.fontSize,
          lineHeight: r.lineHeight,
          wordWrap: "break-word",
          padding: r.bodyPadding
        },
        [`${o}-footer`]: {
          textAlign: "end",
          background: r.footerBg,
          marginTop: r.footerMarginTop,
          padding: r.footerPadding,
          borderTop: r.footerBorderTop,
          borderRadius: r.footerBorderRadius,
          [`> ${r.antCls}-btn + ${r.antCls}-btn`]: {
            marginInlineStart: r.marginXS
          }
        },
        [`${o}-open`]: {
          overflow: "hidden"
        }
      })
    },
    // ======================== Pure =========================
    {
      [`${o}-pure-panel`]: {
        top: "auto",
        padding: 0,
        display: "flex",
        flexDirection: "column",
        [`${o}-content,
          ${o}-body,
          ${o}-confirm-body-wrapper`]: {
          display: "flex",
          flexDirection: "column",
          flex: "auto"
        },
        [`${o}-confirm-body`]: {
          marginBottom: "auto"
        }
      }
    }
  ];
}, u = (r) => {
  const {
    componentCls: o
  } = r;
  return {
    [`${o}-root`]: {
      [`${o}-wrap-rtl`]: {
        direction: "rtl",
        [`${o}-confirm-body`]: {
          direction: "rtl"
        }
      }
    }
  };
}, f = (r) => {
  const o = r.padding, e = r.fontSizeHeading5, d = r.lineHeightHeading5;
  return m(r, {
    modalHeaderHeight: r.calc(r.calc(d).mul(e).equal()).add(r.calc(o).mul(2).equal()).equal(),
    modalFooterBorderColorSplit: r.colorSplit,
    modalFooterBorderStyle: r.lineType,
    modalFooterBorderWidth: r.lineWidth,
    modalIconHoverColor: r.colorIconHover,
    modalCloseIconColor: r.colorIcon,
    modalCloseBtnSize: r.fontHeight,
    modalConfirmIconSize: r.fontHeight,
    modalTitleHeight: r.calc(r.titleFontSize).mul(r.titleLineHeight).equal()
  });
}, $ = (r) => ({
  footerBg: "transparent",
  headerBg: r.colorBgElevated,
  titleLineHeight: r.lineHeightHeading5,
  titleFontSize: r.fontSizeHeading5,
  contentBg: r.colorBgElevated,
  titleColor: r.colorTextHeading,
  // internal
  closeBtnHoverBg: r.wireframe ? "transparent" : r.colorFillContent,
  closeBtnActiveBg: r.wireframe ? "transparent" : r.colorFillContentHover,
  contentPadding: r.wireframe ? 0 : `${i(r.paddingMD)} ${i(r.paddingContentHorizontalLG)}`,
  headerPadding: r.wireframe ? `${i(r.padding)} ${i(r.paddingLG)}` : 0,
  headerBorderBottom: r.wireframe ? `${i(r.lineWidth)} ${r.lineType} ${r.colorSplit}` : "none",
  headerMarginBottom: r.wireframe ? 0 : r.marginXS,
  bodyPadding: r.wireframe ? r.paddingLG : 0,
  footerPadding: r.wireframe ? `${i(r.paddingXS)} ${i(r.padding)}` : 0,
  footerBorderTop: r.wireframe ? `${i(r.lineWidth)} ${r.lineType} ${r.colorSplit}` : "none",
  footerBorderRadius: r.wireframe ? `0 0 ${i(r.borderRadiusLG)} ${i(r.borderRadiusLG)}` : 0,
  footerMarginTop: r.wireframe ? 0 : r.marginSM,
  confirmBodyPadding: r.wireframe ? `${i(r.padding * 2)} ${i(r.padding * 2)} ${i(r.paddingLG)}` : 0,
  confirmIconMarginInlineEnd: r.wireframe ? r.margin : r.marginSM,
  confirmBtnsMarginTop: r.wireframe ? r.marginLG : r.marginSM
}), G = g("Modal", (r) => {
  const o = f(r);
  return [s(o), u(o), p(o), c(o, "zoom")];
}, $, {
  unitless: {
    titleLineHeight: !0
  }
});
export {
  G as default,
  p as genModalMaskStyle,
  $ as prepareComponentToken,
  f as prepareToken
};
