import { DropdownProps as AntDropdownProps, MenuProps as AntMenuProps } from 'antd';
import { MenuItemType as AntMenuItemType } from 'antd/es/menu/hooks/useItems';
import { FC } from 'react';
import { BitzConvertBaseProps } from '..';
type DropdownClickEvent = (menuInfo: {
    key: string;
}) => void;
type MenuItemType = Omit<AntMenuItemType, 'onClick'>;
type BitzDropdownToButtonMenuProps = Omit<AntMenuProps, 'items' | 'onClick'> & {
    items?: MenuItemType[];
    onClick?: DropdownClickEvent;
};
type DropdownProps = Omit<AntDropdownProps, 'menu'> & {
    menu?: BitzDropdownToButtonMenuProps;
};
export type BitzDropdownToButtonProps = DropdownProps & BitzConvertBaseProps;
/** Dropdown 和 Btn互转，items长度大一等于2时显示为Dropdown，为1时显示为button */
declare const BitzDropdownToButton: FC<BitzDropdownToButtonProps>;
export default BitzDropdownToButton;
