import { FC, Ref } from 'react';
import { PaginationProps } from 'antd';
import './index.less';
interface BitzPaginationProps extends PaginationProps {
    /**
     * 启用分页受控属性
     */
    enableControl?: boolean;
    /**
     * 分页属性
     */
    pagination?: {
        page: number;
        size: number;
    };
    /**
     * 指定每页可以显示多少条
     */
    pageSizeOptions?: string[] | number[];
    /**
     * 数据总数
     */
    total?: number;
    /**
     * 接口返回的数据
     */
    dataSource?: any[];
    /**
     * 父级给子组件的page
     */
    resetPage?: number;
    /**
     * 给父组件传值 page当前第几页  pageSize每页有多少
     */
    paginationEmit?: (page: number, size: number) => void;
    /**
     * 默认是end(右);left(左);center(居中)
     */
    direction?: string;
    /**
     * 共的名字
     */
    totalText?: string;
    /**
     * 共的名字
     */
    totalItemText?: string;
    /**
     * 获取分页组件元素
     */
    elRefInstance?: Ref<HTMLDivElement>;
    /**
     * 获取分页组件状态
     */
    refInstance?: Ref<BitzPaginationRef>;
}
export interface BitzPaginationRef {
    getSize: () => number;
}
declare const BitzPagination: FC<BitzPaginationProps>;
export default BitzPagination;
