import { FC, MouseEventHandler, ReactNode } from 'react';
import { DropdownProps } from 'antd';
import { SubMenuType } from 'antd/es/menu/hooks/useItems';
import { DensitySize } from '../Store';
type AddButtonType = {
    /** 按钮文字 */
    text: string;
    show?: boolean;
    onClick: MouseEventHandler;
};
type ExcelButtonType = {
    show?: boolean;
    /** 按钮文字 */
    text?: string;
    /** 触发下拉菜单的方式 */
    trigger?: DropdownProps['trigger'];
    menu?: SubMenuType[];
    /**
     * menu点击事件，通过key值判断是下载或导入
     * @Key1 下载: download
     * @Key2 导入: import
     */
    onClick?: (key: string) => void;
    otherMenu?: SubMenuType[];
};
export interface BitzTableActionBarProps {
    size?: DensitySize;
    /** 添加按钮 */
    add: AddButtonType;
    /** excel dropdown按钮，下载和导入菜单 */
    excel: ExcelButtonType;
    /** 中间的按钮 */
    children?: ReactNode;
}
/** 表格头部左侧按钮组 -- 添加、excel导入 */
declare const BitzTableActionBar: FC<BitzTableActionBarProps>;
export default BitzTableActionBar;
