import ExportIcon from './ExportIcon';
import DensityIcon from './DensityIcon';
import RefreshIcon from './RefreshIcon';
import ColConfigIcon from './ColConfigIcon';
import { DensitySize } from '../Store';
import { MouseEventHandler } from 'react';
export type MenuKeysType = 'excel';
export type ExportEvent = (key: MenuKeysType) => void;
export interface BitzTableToolBarProps {
    size?: DensitySize;
    loading?: boolean;
    /**
     * 导出按钮下拉菜单的点击事件，通过key值判断是导出为excel或其他格式的文件
     * @Key1 导出选中数据为excel: excel
     */
    onExport?: ExportEvent;
    /** 表格刷新 */
    onRefresh?: MouseEventHandler;
    /** 表格布局更改 */
    onSizeChange?: (size: DensitySize) => void;
    /** 列配置更改 */
    onColumnChange?: (columns: any) => void;
    children?: React.ReactNode;
}
type CompoundedComponent = React.ForwardRefExoticComponent<BitzTableToolBarProps> & {
    ExportIcon: typeof ExportIcon;
    RefreshIcon: typeof RefreshIcon;
    DensityIcon: typeof DensityIcon;
    ColConfigIcon: typeof ColConfigIcon;
};
declare const BitzTableToolBar: CompoundedComponent;
export default BitzTableToolBar;
