import { MutableRefObject } from 'react';
export type BasicTarget<T = HTMLElement> = (() => T | null) | T | null | MutableRefObject<T | null | undefined>;
export type TargetElement = HTMLElement | Element | Document | Window;
export declare function getTargetElement(target?: BasicTarget<TargetElement>, defaultElement?: TargetElement): TargetElement | undefined | null;
export declare const inBrowser: boolean;
type ScrollElement = Element | HTMLElement | Window;
export declare function getScrollParent(el: Element, root?: ScrollElement): ScrollElement;
declare function useScrollParent(el: BasicTarget<HTMLElement | Element | Window | Document>): Element | Window;
export default useScrollParent;
